com.tibbo.aggregate.common.action

## Enum ActionContext.ActionState

- java.lang.Object
- - java.lang.Enum<ActionContext.ActionState>
  - - com.tibbo.aggregate.common.action.ActionContext.ActionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActionContext.ActionState>
  Enclosing class:
    ActionContext

      public static enum ActionContext.ActionState
      extends java.lang.Enum<ActionContext.ActionState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `DESTROYED`
    `INITIALIZED`
    `WORKING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionContext.ActionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionContext.ActionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final ActionContext.ActionState CREATED

    - #### INITIALIZED

          public static final ActionContext.ActionState INITIALIZED

    - #### WORKING

          public static final ActionContext.ActionState WORKING

    - #### DESTROYED

          public static final ActionContext.ActionState DESTROYED

  - ### Method Detail

    - #### values

          public static ActionContext.ActionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionContext.ActionState c : ActionContext.ActionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionContext.ActionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null